import { axios } from '@/utils/request'

//  中心店用户授权 列表  有分页
export const userOrgList = (params) => {
  const url = `/userOrg/queryUserPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 中心店用户授权  删除
export const userOrgDel = (params) => {
  return axios({
    url: `/userOrg/deleteByUserSn/${params.sn}`,
    method: 'get'
  })
}
// 中心店用户授权  保存
export const userOrgSave = (params) => {
  return axios({
    url: '/userOrg/saveUserOrg',
    data: params,
    method: 'post'
  })
}
// 中心店用户授权  详情
export const userOrgDetail = (params) => {
  return axios({
    url: `/userOrg/findByUserSn/${params.sn}`,
    method: 'get'
  })
}
//  中心店用户授权 账号  有分页
export const userOrgUserList = (params) => {
  return axios({
    url: '/userOrg/queryUserByOrgSn',
    data: params,
    method: 'post'
  })
}
